PropagatorConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.casm.monitor.propagator.PropagatorConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.casm.monitor.propagator
Interface PropagatorConfiguration

All Superinterfaces:
  Configuration, ModelObject, MonitorConfiguration, java.io.Serializable

All Known Subinterfaces:
  ApplicationPropagatorConfiguration, AppServerClusterPropagatorConfiguration, AppServerPropagatorConfiguration, BusinessServicePropagatorConfiguration, ComputerSystemPropagatorConfiguration, IpInterfacePropagatorConfiguration, IpNetworkPropagatorConfiguration, TopLevelPropagatorConfiguration

    public interface PropagatorConfiguration

extends MonitorConfiguration

A propagator configuration object

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`int` | `getCategory()` Defines if a propagator should be restricted for events of a specific category.
`boolean` | `getContainerPropagation()` Does the propagator propagate downward towards it's container ? Default is true.
`boolean` | `getDependentPropagation()` Does the propagator propagate towards dependents ? Default is true.
`int` | `getLevel()` This attribute determines the order of the propagators on the propagation stack.
`java.lang.String` | `getPropagatorClassName()`
`boolean` | `hasCategory()`
`boolean` | `hasContainerPropagation()`
`boolean` | `hasDependentPropagation()`
`boolean` | `hasLevel()`
`boolean` | `hasPropagatorClassName()`
`void` | `setCategory(int category)`
`void` | `setContainerPropagation(boolean enabled)`
`void` | `setDependentPropagation(boolean enabled)`
`void` | `setLevel(int level)`
`void` | `setPropagatorClassName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPropagatorClassName

    java.lang.String getPropagatorClassName()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPropagatorClassName

    void setPropagatorClassName(java.lang.String name)

### hasPropagatorClassName

    boolean hasPropagatorClassName()

### getLevel

    int getLevel()
                 throws AttributeNotSetException

  This attribute determines the order of the propagators on the propagation stack.

  First all propagators of level 1 get loaded. On top of that come level 2 propagators etc...

  Returns:
    The level. An int between 1-10
  Throws:
    `AttributeNotSetException`

### setLevel

    void setLevel(int level)

### hasLevel

    boolean hasLevel()

### getCategory

    int getCategory()
                    throws AttributeNotSetException

  Defines if a propagator should be restricted for events of a specific category. If omitted, the propagator will be run for all categories.

  Returns:
  Throws:
    `AttributeNotSetException`
  See Also:
    `com.collation.monitor.agent.Category`

### setCategory

    void setCategory(int category)

### hasCategory

    boolean hasCategory()

### getDependentPropagation

    boolean getDependentPropagation()
                                    throws AttributeNotSetException

  Does the propagator propagate towards dependents ? Default is true.

  Returns:
  Throws:
    `AttributeNotSetException`

### setDependentPropagation

    void setDependentPropagation(boolean enabled)

### hasDependentPropagation

    boolean hasDependentPropagation()

### getContainerPropagation

    boolean getContainerPropagation()
                                    throws AttributeNotSetException

  Does the propagator propagate downward towards it's container ? Default is true.

  Returns:
  Throws:
    `AttributeNotSetException`

### setContainerPropagation

    void setContainerPropagation(boolean enabled)

### hasContainerPropagation

    boolean hasContainerPropagation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD